# Class PathConstants

java.lang.Object
com.databricks.jdbc.dbclient.impl.sqlexec.PathConstants

public class PathConstants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CANCEL_STATEMENT_PATH_WITH_ID`
`static final String`
`CREATE_DELETE_URL_PATH`
`static final String`
`CREATE_DOWNLOAD_URL_PATH`
`static final String`
`CREATE_UPLOAD_URL_PATH`
`static final String`
`FS_BASE_PATH`
`static final String`
`LIST_PATH`
`static final String`
`RESULT_CHUNK_PATH`
`static final String`
`SESSION_PATH`
`static final String`
`SESSION_PATH_WITH_ID`
`static final String`
`STATEMENT_PATH`
`static final String`
`STATEMENT_PATH_WITH_ID`
`static final String`
`TELEMETRY_PATH`
`static final String`
`TELEMETRY_PATH_UNAUTHENTICATED`

## Constructor Summary

Constructors
Constructor
Description
`PathConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SESSION_PATH

public static final String SESSION_PATH

See Also:
  - Constant Field Values

### SESSION_PATH_WITH_ID

public static final String SESSION_PATH_WITH_ID

See Also:
  - Constant Field Values

### STATEMENT_PATH

public static final String STATEMENT_PATH

See Also:
  - Constant Field Values

### STATEMENT_PATH_WITH_ID

public static final String STATEMENT_PATH_WITH_ID

See Also:
  - Constant Field Values

### CANCEL_STATEMENT_PATH_WITH_ID

public static final String CANCEL_STATEMENT_PATH_WITH_ID

See Also:
  - Constant Field Values

### RESULT_CHUNK_PATH

public static final String RESULT_CHUNK_PATH

See Also:
  - Constant Field Values

### TELEMETRY_PATH

public static final String TELEMETRY_PATH

See Also:
  - Constant Field Values

### TELEMETRY_PATH_UNAUTHENTICATED

public static final String TELEMETRY_PATH_UNAUTHENTICATED

See Also:
  - Constant Field Values

### FS_BASE_PATH

public static final String FS_BASE_PATH

See Also:
  - Constant Field Values

### CREATE_UPLOAD_URL_PATH

public static final String CREATE_UPLOAD_URL_PATH

See Also:
  - Constant Field Values

### CREATE_DOWNLOAD_URL_PATH

public static final String CREATE_DOWNLOAD_URL_PATH

See Also:
  - Constant Field Values

### CREATE_DELETE_URL_PATH

public static final String CREATE_DELETE_URL_PATH

See Also:
  - Constant Field Values

### LIST_PATH

public static final String LIST_PATH

See Also:
  - Constant Field Values

## Constructor Details

### PathConstants

public PathConstants()